Skip to navigation

Get Dataset by ID

Beta
Get a single Dataset by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dataset_idstringRequired
ID of the Dataset.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstringOptional
creatorobjectOptional
dataFrameIdstring or nullOptional
displayIdstring or nullOptional

A human-readable identifier for this dataset (e.g. “DATASET-1”). Automatically generated and unique within the tenant.

folderobjectOptional
idstringOptional
modifiedAtstringOptional
namestring or nullOptional

Errors

400
Dataset Get Request Bad Request Error
403
Dataset Get Request Forbidden Error
404
Dataset Get Request Not Found Error
429
Dataset Get Request Too Many Requests Error
500
Dataset Get Request Internal Server Error